data:extend(
{
-- 	{
-- 		type = "transport-belt",
-- 		name = "telesender",
-- 		icon = "__TeleBelts__/graphics/icons/telesender.png",
-- 		flags = {"placeable-neutral", "player-creation"},
-- 		minable = {hardness = 0.2, mining_time = 0.3, result = "telesender"},
-- 		max_health = 50,
-- 		corpse = "small-remnants",
-- 		resistances =
-- 		{
-- 			{
-- 				type = "fire",
-- 				percent = 50
-- 			}
-- 		},
-- 		collision_box = {{-0.4, -0.4}, {0.4, 0.4}},
-- 		selection_box = {{-0.5, -0.5}, {0.5, 0.5}},
-- 		working_sound =
-- 		{
-- 			sound =
-- 			{
-- 				filename = "__base__/sound/express-transport-belt.ogg",
-- 				volume = 0.4
-- 			},
-- 			max_sounds_per_type = 3
-- 		},
-- 		animation_speed_coefficient = 1,
-- 		animations =
-- 		{
-- 			filename = "__TeleBelts__/graphics/entity/telesender.png",
-- 			priority = "extra-high",
-- 			frame_width = 32,
-- 			frame_height = 32,
-- 			frame_count = 2,
-- 			direction_count = 12
-- 		},
-- 		ending_patch = ending_patch_prototype,
-- 		speed = 0
-- 	},
	{
		type = "inserter",
		name = "telesender",
		icon = "__TeleBelts__/graphics/icons/telesender.png",
		flags = {"placeable-neutral", "placeable-player", "player-creation"},
		minable = {hardness = 0.2, mining_time = 0.5, result = "telesender"},
		max_health = 40,
		corpse = "small-remnants",
		resistances =
		{
			{
				type = "fire",
				percent = 90
			}
		},
		working_sound =
		{
			match_progress_to_activity = true,
			sound =
			{
				{
					filename = "__base__/sound/inserter-fast-1.ogg",
					volume = 0.75
				},
				{
					filename = "__base__/sound/inserter-fast-2.ogg",
					volume = 0.75
				},
				{
					filename = "__base__/sound/inserter-fast-3.ogg",
					volume = 0.75
				},
				{
					filename = "__base__/sound/inserter-fast-4.ogg",
					volume = 0.75
				},
				{
					filename = "__base__/sound/inserter-fast-5.ogg",
					volume = 0.75
				}
			}
		},
		collision_box = {{-0.1, -0.1}, {0.1, 0.1}},
		selection_box = {{-0.4, -0.35}, {0.4, 0.45}},
		pickup_position = {10, 10},
		insert_position = {10, 10},
		energy_per_movement = 0,
		energy_per_rotation = 9375000, -- 10000 energy
		energy_source =
		{
			type = "electric",
			usage_priority = "secondary-input",
			drain = "0kW" -- Doesn't do much
		},
		hand_base_picture =
		{
			filename = "__TeleBelts__/graphics/entity/empty.png",
			priority = "extra-high",
			width = 1,
			height = 1
		},
		hand_closed_picture =
		{
			filename = "__TeleBelts__/graphics/entity/empty.png",
			priority = "extra-high",
			width = 1,
			height = 1
		},
		hand_open_picture =
		{
			filename = "__TeleBelts__/graphics/entity/empty.png",
			priority = "extra-high",
			width = 1,
			height = 1
		},
		hand_base_shadow =
		{
			filename = "__TeleBelts__/graphics/entity/empty.png",
			priority = "extra-high",
			width = 1,
			height = 1
		},
		hand_closed_shadow =
		{
			filename = "__TeleBelts__/graphics/entity/empty.png",
			priority = "extra-high",
			width = 1,
			height = 1
		},
		hand_open_shadow =
		{
			filename = "__TeleBelts__/graphics/entity/empty.png",
			priority = "extra-high",
			width = 1,
			height = 1
		},
		platform_picture =
		{
			sheet=
			{
				priority = "extra-high",
				width = 32,
				height = 32,
				filename = "__TeleBelts__/graphics/entity/telesender.png",
			}
		},
		extension_speed = 0.001,
		rotation_speed = 0.001,
		uses_arm_movement = "basic-inserter"
	},
	{
		type = "transport-belt",
		name = "telereceiver",
		icon = "__TeleBelts__/graphics/icons/telereceiver.png",
		flags = {"placeable-neutral", "player-creation"},
		minable = {hardness = 0.2, mining_time = 0.3, result = "telereceiver"},
		max_health = 50,
		corpse = "small-remnants",
		resistances =
		{
			{
				type = "fire",
				percent = 50
			}
		},
		collision_box = {{-0.4, -0.4}, {0.4, 0.4}},
		selection_box = {{-0.5, -0.5}, {0.5, 0.5}},
		working_sound =
		{
			sound =
			{
				filename = "__base__/sound/express-transport-belt.ogg",
				volume = 0.4
			},
			max_sounds_per_type = 3
		},
		animation_speed_coefficient = 32,
		animations =
		{
			filename = "__TeleBelts__/graphics/entity/telereceiver.png",
			priority = "extra-high",
			width = 40,
			height = 40,
			frame_count = 32,
			direction_count = 12
      },
		belt_horizontal = express_belt_horizontal, -- specified in transport-belt-pictures.lua
		belt_vertical = express_belt_vertical,
		ending_top = express_belt_ending_top,
		ending_bottom = express_belt_ending_bottom,
		ending_side = express_belt_ending_side,
		starting_top = express_belt_starting_top,
		starting_bottom = express_belt_starting_bottom,
		starting_side = express_belt_starting_side,
		ending_patch = ending_patch_prototype,
		speed = 0.09375,
		connector_frame_sprites = transport_belt_connector_frame_sprites,
		circuit_connector_sprites = transport_belt_circuit_connector_sprites,
		circuit_wire_connection_point = transport_belt_circuit_wire_connection_point,
		circuit_wire_max_distance = transport_belt_circuit_wire_max_distance
   }
})
